Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 445044 - www-client/firefox-10.0.6 - File collisions: /usr/bin/firefox and /usr/lib/firefox/plugins
Summary: www-client/firefox-10.0.6 - File collisions: /usr/bin/firefox and /usr/lib/fi...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-28 07:31 UTC by Raymond Jennings
Modified: 2015-01-06 14:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log.gz,386.04 KB, text/plain)
2012-11-28 07:37 UTC, Raymond Jennings
Details
build.log (build.log.gz,386.04 KB, text/plain)
2012-11-28 07:46 UTC, Raymond Jennings
Details
build.log (build.log.gz,386.04 KB, application/gzip)
2012-11-28 08:17 UTC, Raymond Jennings
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Raymond Jennings 2012-11-28 07:31:12 UTC
See attached build.log for more info but basically there was a file collision during the install phase, and then the ebuild complained about a policy violation.



Reproducible: Always

Steps to Reproduce:
1.  emerge
2.
3.
Actual Results:  
error

Expected Results:  
success
Comment 1 Raymond Jennings 2012-11-28 07:37:25 UTC
Created attachment 330808 [details]
build.log
Comment 2 Raymond Jennings 2012-11-28 07:46:01 UTC
Created attachment 330810 [details]
build.log

log bomb got interrupted during upload.
Comment 3 Raymond Jennings 2012-11-28 08:17:59 UTC
Created attachment 330811 [details]
build.log

wrong type
Comment 4 Raymond Jennings 2012-11-28 08:26:09 UTC
Also, the file collsions seem to be with firefox-bin

Maybe they should block each other?
Comment 5 Raymond Jennings 2012-11-28 08:39:43 UTC
Also, the collisions were registered as not belonging to any package.

If they actually belonged to firefox-bin then I think firefox-bin has improper tracking of its own symlinks in the package database
Comment 6 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2012-11-28 14:48:31 UTC
>QA Notice: Package triggers severe warnings which indicate that it
>            may exhibit random runtime failures.
> ../../../../dist/include/nsBaseHashtable.h:150:14: warning: converting to non-pointer type 'unsigned int' from NULL
>
> QA Notice: Package triggers severe warnings which indicate that it
>            may exhibit random runtime failures.
> /var/tmp/portage/www-client/firefox-10.0.6/work/mozilla-esr10/js/src/shell/js.cpp:3002:63: warning: the address of 'flags' will always evaluate as 'true'
>
> Please do not file a Gentoo bug and instead report the above QA
> issues directly to the upstream developers of this software.
> Homepage: http://www.mozilla.com/firefox

The first two warnings can be reported upstream, Gentoo won't deal with them; although they might already have been fixed since upstream is at 17.x.

>Package 'www-client/firefox-10.0.6' has one or more collisions between
>symlinks and directories, which is explicitly forbidden by PMS section
>13.4 (see bug #326685):
>
>        /usr/lib/firefox/plugins
>
>This package will overwrite one or more files that may belong to other
>packages (see list below). You can use a command such as `portageq
>owners / <filename>` to identify the installed package that owns a
>file. If portageq reports that only one package owns a file then do
>NOT file a bug report. A bug report is only useful if it identifies at
>least two or more packages that are known to install the same file(s).
>If a collision occurs and you can not explain where the file came from
>then you should simply ignore the collision since there is not enough
>information to determine if a real problem exists. Please do NOT file
>a bug report at http://bugs.gentoo.org unless you report exactly which
>two packages install the same file(s). Once again, please do NOT file
>a bug report unless you have completely understood the above message.
>
>Detected file collision(s):
>
>        /usr/bin/firefox
>        /usr/lib/firefox/plugins
>
>Searching all installed packages for file collisions...
>
>Press Ctrl-C to Stop
>
>None of the installed packages claim the file(s).
>
>Package 'www-client/firefox-10.0.6' NOT merged since it has one or
>more collisions between symlinks and directories, which is explicitly
>forbidden by PMS section 13.4 (see bug #326685). If necessary, refer
>to your elog messages for the whole content of the above message.

It's hard to reproduce and or block anything when we don't know the other package.

Which versions of firefox-bin did you have before?

Please post the output of `emerge genlop && genlop firefox-bin`.

> www-client/firefox-10.0.6

Hmm, perhaps x86 could use some stabilization, upstream is at 17.x.
Comment 7 Ian Stakenvicius gentoo-dev 2012-11-28 15:09:18 UTC
(In reply to comment #6)
> >Package 'www-client/firefox-10.0.6' has one or more collisions between
> >symlinks and directories, which is explicitly forbidden by PMS section
> >13.4 (see bug #326685):
> >
> >        /usr/lib/firefox/plugins
> >
> >[.. Snip! ..]
> >Detected file collision(s):
> >
> >        /usr/bin/firefox
> >        /usr/lib/firefox/plugins
> >
> >Searching all installed packages for file collisions...
> >
> >Press Ctrl-C to Stop
> >
> >None of the installed packages claim the file(s).
> >
> >Package 'www-client/firefox-10.0.6' NOT merged since it has one or
> >more collisions between symlinks and directories, which is explicitly
> >forbidden by PMS section 13.4 (see bug #326685). If necessary, refer
> >to your elog messages for the whole content of the above message.
> 
> It's hard to reproduce and or block anything when we don't know the other
> package.
> 
> Which versions of firefox-bin did you have before?
> 
> Please post the output of `emerge genlop && genlop firefox-bin`.
> 

Do you by chance have FEATURES="collision-protect" enabled?  This feature makes upgrades of certain versions of packages collide with themselves, and is not supported by default.  You should stick with FEATURES="protect-owned".


> > www-client/firefox-10.0.6
> 
> Hmm, perhaps x86 could use some stabilization, upstream is at 17.x.

At the very least, the latest 10.x ESR (currently 10.0.11) should be stable; otherwise all the security bugs that these ESR bumps have fixed won't reach stable users..
Comment 8 Raymond Jennings 2012-11-29 18:44:06 UTC
Not sure what version of firefox-bin was used.

Oddly enough, doing a qfile on the rogue colliders turned up negative so it might have been created post install and missed the "installed file" manifest created.

collision protect is set at whatever my profile's default is.  I haven't messed with it.

I'm doing the genlop thing now, stand by.
Comment 9 Raymond Jennings 2012-11-29 19:12:46 UTC
Genlop results:

 * www-client/firefox-bin

     Thu Dec  1 10:56:27 2011 >>> www-client/firefox-bin-7.0.1
     Fri Dec 16 05:47:41 2011 >>> www-client/firefox-bin-8.0
     Sat Jan 14 07:24:44 2012 >>> www-client/firefox-bin-9.0.1
     Sat Feb 25 21:41:49 2012 >>> www-client/firefox-bin-10.0.2
     Sun Mar 25 19:58:28 2012 >>> www-client/firefox-bin-10.0.3
     Thu May 17 05:34:58 2012 >>> www-client/firefox-bin-10.0.4
     Wed Jun 20 06:16:30 2012 >>> www-client/firefox-bin-10.0.5
     Tue Jul 17 11:42:09 2012 >>> www-client/firefox-bin-10.0.5
     Sun Jul 29 11:37:13 2012 >>> www-client/firefox-bin-10.0.6
     Wed Sep  5 17:58:44 2012 >>> www-client/firefox-bin-10.0.6
     Fri Sep  7 18:01:23 2012 >>> www-client/firefox-bin-10.0.6
     Mon Sep 10 07:42:32 2012 >>> www-client/firefox-bin-10.0.6
     Sun Sep 16 13:46:52 2012 >>> www-client/firefox-bin-10.0.7
     Thu Sep 20 02:09:13 2012 >>> www-client/firefox-bin-10.0.7
     Wed Nov 28 00:54:22 2012 >>> www-client/firefox-bin-10.0.7
     Wed Nov 28 01:40:10 2012 >>> www-client/firefox-bin-10.0.7
Comment 10 Raymond Jennings 2012-11-29 19:16:56 UTC
Also, the log mentioned this:

> Package 'www-client/firefox-10.0.6' NOT merged since it has one or
> >more collisions between symlinks and directories, which is explicitly
> >forbidden by PMS section 13.4 (see bug #326685).

If nobody owns the collided files, then why is it complaining about PMS section 13.4?

I checked bug 326685 which claims any ebuild causing this is flat out broken end of discussion.
Comment 11 Jory A. Pratt gentoo-dev 2012-11-30 02:43:00 UTC
(In reply to comment #10)
> Also, the log mentioned this:
> 
> > Package 'www-client/firefox-10.0.6' NOT merged since it has one or
> > >more collisions between symlinks and directories, which is explicitly
> > >forbidden by PMS section 13.4 (see bug #326685).
> 
> If nobody owns the collided files, then why is it complaining about PMS
> section 13.4?
> 
> I checked bug 326685 which claims any ebuild causing this is flat out broken
> end of discussion.

This is most likely left over from when mozilla-launcher was used. Unless you can duplicate this with a fresh install with no files laying around nothing to be done here except close invalid.
Comment 12 Jory A. Pratt gentoo-dev 2015-01-06 14:42:09 UTC
Is not reproducable with current esr builds.